<?php

namespace App\Modules\Credential\Application\List;

use App\Modules\Credential\Domain\CredentialRepository;

final class CredentialLister
{
    public function __construct(private CredentialRepository $repository)
    {
    }

    public function __invoke()
    {
        return $this->repository->all();
    }
}
